import { IAuthProvider } from "./auth/AuthProvider";
import { Logger } from "./shared/Logger";
import { Server, ServerStartParams } from "./Server";
export interface BasicServerStartParams extends ServerStartParams {
    accessTokenTtl?: number;
    refreshTokenTtl?: number;
    authProviders?: IAuthProvider[];
    logger?: Logger;
    services?: any[];
}
export declare class BasicServer extends Server {
    protected commander: any;
    protected unhandledRejectionCallback: (reason, promise) => void;
    constructor();
    private runInit(projectName, options);
    run(argv: string[]): Promise<void>;
    start(params: BasicServerStartParams): Promise<void>;
    shutdown(): Promise<void>;
    private runStart(command);
    private runMigration(args);
    private runMigrationStage(stage, args);
}
