"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const TestServer_1 = require("../TestServer");
const WebSocket = require("uws");
describe('LogService Integration Tests', function () {
    let server;
    let websocketClient;
    before(() => __awaiter(this, void 0, void 0, function* () {
        server = new TestServer_1.TestServer();
        yield server.start();
    }));
    after(() => __awaiter(this, void 0, void 0, function* () {
        if (server) {
            yield server.shutdown();
        }
    }));
    afterEach(() => {
        if (websocketClient) {
            websocketClient.close();
            websocketClient = undefined;
        }
    });
    it('should be able to connect to a websocket', (done) => {
        websocketClient = new WebSocket(`ws://${server.address}/log/debug`);
        websocketClient.onopen = function (event) {
            done();
        };
        websocketClient.onerror = function (err) {
            done(err);
        };
    });
});
//# sourceMappingURL=logservice-integration-tests.spec.js.map